Diligent Engine API Reference: Diligent::RenderDeviceGLImpl Class Reference

Diligent Engine API Reference

List of all members
Diligent::RenderDeviceGLImpl Class Reference

Implementation of the render device interface in OpenGL. More...

Inheritance diagram for Diligent::RenderDeviceGLImpl:

## Additional Inherited Members
Public Member Functions inherited from Diligent::RenderDeviceBase< IGLDeviceBaseInterface >
| RenderDeviceBase (IReferenceCounters *pRefCounters, IMemoryAllocator &RawMemAllocator, Uint32 NumDeferredContexts, size_t TextureObjSize, size_t TexViewObjSize, size_t BufferObjSize, size_t BuffViewObjSize, size_t ShaderObjSize, size_t SamplerObjSize, size_t PSOSize, size_t SRBSize)
virtual void | CreateResourceMapping (const ResourceMappingDesc &MappingDesc, IResourceMapping **ppMapping) override final
| Implementation of IRenderDevice::CreateResourceMapping().
virtual const DeviceCaps & | GetDeviceCaps () const override final
| Implementation of IRenderDevice::GetDeviceCaps().
virtual const TextureFormatInfo & | GetTextureFormatInfo (TEXTURE_FORMAT TexFormat) override final
| Implementation of IRenderDevice::GetTextureFormatInfo().
virtual const TextureFormatInfoExt & | GetTextureFormatInfoExt (TEXTURE_FORMAT TexFormat) override final
| Implementation of IRenderDevice::GetTextureFormatInfoExt().
void | SetImmediateContext (IDeviceContext *pImmediateContext)
| Set weak reference to the immediate context.
void | SetDeferredContext (size_t Ctx, IDeviceContext *pDeferredCtx)
| Set weak reference to the deferred context.
size_t | GetNumDeferredContexts () const
| Returns number of deferred contexts.
Protected Member Functions inherited from Diligent::RenderDeviceBase< IGLDeviceBaseInterface >
void | CreateDeviceObject (const Char *ObjectTypeName, const TObjectDescType &Desc, TObjectType **ppObject, TObjectConstructor ConstructObject)
| Helper template function to facilitate device object creation. More...
Protected Attributes inherited from Diligent::RenderDeviceBase< IGLDeviceBaseInterface >
StateObjectsRegistry< SamplerDesc > | m_SamplersRegistry
| Sampler state registry.
RefCntWeakPtr< IDeviceContext > | m_wpImmediateContext
| Weak reference to the immediate context. Immediate context holds strong reference to the device, so we must use weak reference to avoid circular dependencies.
std::vector< RefCntWeakPtr< IDeviceContext >, STDAllocatorRawMem< RefCntWeakPtr< IDeviceContext > > > | m_wpDeferredContexts
| Weak references to deferred contexts.
FixedBlockMemoryAllocator | m_TexObjAllocator
| Allocator for texture objects.
FixedBlockMemoryAllocator | m_TexViewObjAllocator
| Allocator for texture view objects.
FixedBlockMemoryAllocator | m_BufObjAllocator
| Allocator for buffer objects.
FixedBlockMemoryAllocator | m_BuffViewObjAllocator
| Allocator for buffer view objects.
FixedBlockMemoryAllocator | m_ShaderObjAllocator
| Allocator for shader objects.
FixedBlockMemoryAllocator | m_SamplerObjAllocator
| Allocator for sampler objects.
FixedBlockMemoryAllocator | m_PSOAllocator
| Allocator for pipeline state objects.
FixedBlockMemoryAllocator | m_SRBAllocator
| Allocator for shader resource binding objects.
FixedBlockMemoryAllocator | m_ResMappingAllocator
| Allocator for resource mapping objects.

## Detailed Description

Implementation of the render device interface in OpenGL.